#include <iostream>

using namespace std;

int main()
{
int BrojVaga, BrojPitanja;
int Rezultat=0;
cin>>BrojVaga>>BrojPitanja;
int nizmax[BrojVaga] , nizmin[BrojVaga];
for(int i=0; i<BrojVaga; i++)
{cin >>nizmin[i]>>nizmax[i];}
int PrvaVaga[BrojPitanja], DrugaVaga[BrojPitanja], TrazenaTezina[BrojPitanja];
for(int i=0; i<BrojPitanja ; i++)
{cin >>PrvaVaga[i]>>DrugaVaga[i]>>TrazenaTezina[i];}
int bl=0;
for(int i=0; i<BrojPitanja ; i++)
{Rezultat=0;for (int r=PrvaVaga[i]; r<=DrugaVaga[i]; r++)
{if (TrazenaTezina[i]<=nizmax[r-1] && TrazenaTezina[i]>=nizmin[r-1])
{Rezultat++;}
else
    ;
}cout<<Rezultat<<endl;}
return 0;
}